﻿/* Ineldat banner */
.ineldat-wrapper {
  user-select: none;
  -webkit-user-select: none;
  -moz-user-select: none;
}

.ineldat-wrapper .container {
  user-select: text;
}

.ineldat-banner {
  background-color: transparent;
  margin: 0;
  margin-right: 2.5%;
  position: relative;
  overflow: visible;
  margin-top: 3.75rem;
  min-height: 37.5rem;
  display: flex;
  align-items: center;
  overflow-y: clip;
}

.ineldat-banner::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  margin-right: 5%;
  background-color: var(--primary-blue-color-bg);
  clip-path: polygon(0 0, 95% 0, 100% 0%, 95% 12%, 95% 100%, 0 100%);
  z-index: 0;
}

.ineldat-banner > * {
  position: relative;
  z-index: 1;
}

.ineldat-banner-svg-decoration {
  position: absolute;
  right: 20%;
  top: 50%;
  transform: translateY(-50%);
  width: 40rem;
  opacity: 0.75;
  pointer-events: none;
}

.ineldat-banner-svg-decoration img {
  width: 100%;
  height: auto;
  display: block;
}

.ineldat-banner .container {
  position: relative;
  z-index: 2;
  max-width: 75rem;
}

.ineldat-banner h1 {
  font-family: var(--font-formal);
  font-size: var(--font-size-banner-desktop);
  font-weight: 400;
  text-align: left;
  color: white;
  line-height: 1.3;
}

.image-main {
  position: absolute;
  right: calc(17%);
  top: 3.125rem;
  width: 28.125rem;
  height: 28.125rem;
}

.image-main img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.image-small-bottom {
  position: absolute;
  right: calc(1.15%);
  top: 14rem;
  width: 23.5rem;
  height: 23rem;
}

.image-small-bottom img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.logo-badge {
  position: absolute;
  top: 7.8125rem;
  right: 1%;
  width: 4.375rem;
  height: 4.375rem;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: var(--light-gray-color-bg);
  z-index: 4;
}

.logo-badge img {
  max-width: 75%;
  max-height: 75%;
}

/* Info */

.info-section {
  background-color: white;
  padding: 5rem 0;
}

.info-image {
  position: relative;
  left: -7.8125rem;
  padding: 0;
  top: -0.625rem;
}

.info-image img {
  width: 125%;
  height: 200%;
  transform: scaleX(-1);
}

.info-text {
  padding: 1.25rem;
}

.info-text p {
  font-family: var(--font-formal);
  line-height: 1.3;
  margin-bottom: 1.25rem;
  color: var(--primary-black-color-text);
  text-align: justify;
  font-size: var(--font-size-texto-desktop);
  margin-left: 1.5rem;
}

.info-text .first-paragraph {
  color: var(--primary-blue-color-text);
  font-weight: 700;
  font-size: var(--font-size-titulo-desktop);
}

/* Servicios */

.service-icon {
  width: 100%;
  height: 25%;
  margin-bottom: 1.5rem;
  object-fit: fill;
}

.service-description {
  font-size: var(--font-size-texto-desktop);
}

.service-box {
  height: 90%;
}

.btn-more-info {
  position: absolute;
  bottom: -1.5rem;
  left: 50%;
  transform: translateX(-50%);
  background-color: var(--primary-blue-color-bg);
  color: white;
  padding: 0.625rem 1.875rem;
  border-radius: 1.5rem;
  text-decoration: none;
  font-family: var(--font-formal);
  font-size: var(--font-size-button-desktop);
  font-weight: 500;
  transition: background-color 0.3s ease;
  box-shadow: 0 0.25rem 0.625rem var(--primary-blue-color-bg);
}

.btn-more-info:hover {
  background-color: var(--primary-blue-color-text);
  color: white;
  text-decoration: none;
}

/* Timeline */

.about-section {
  background-color: var(--scanned-light-gray-color-bg);
  padding: 5rem 0;
  height: 56.25rem;
  font-family: var(--font-principal);
}

.about-section h2 {
  color: var(--primary-blue-color-text);
  font-size: var(--font-size-seccion-desktop);
  margin-bottom: 5%;
}

.timeline-horizontal {
  position: relative;
  max-width: 100%;
  margin: 5rem auto;
  padding: 0 1.25rem;
  min-height: 25rem;
}

.timeline-line {
  position: absolute;
  top: 50%;
  left: 0;
  right: 2.5rem;
  height: 0.25rem;
  background-color: var(--primary-blue-color-text);
  transform: translateY(-50%);
}

.timeline-arrow {
  position: absolute;
  top: 50%;
  right: 2.5%;
  width: 0;
  height: 0;
  border-left: 1.25rem solid var(--primary-blue-color-text);
  border-top: 0.9375rem solid transparent;
  border-bottom: 0.9375rem solid transparent;
  transform: translateY(-50%);
}

.timeline-dot {
  width: 1.5rem;
  height: 1.5rem;
  background-color: var(--primary-blue-color-text);
  border: 0.25rem solid var(--primary-blue-color-text);
  border-radius: 50%;
  margin: 0 auto;
  position: absolute;
  left: 53%;
}

.timeline-item {
  position: relative;
  display: inline-block;
  width: calc(15%);
  vertical-align: middle;
  text-align: center;
  height: 28.125rem;
}

.timeline-item::after {
  content: "";
  position: absolute;
  left: 50%;
  width: 0.125rem;
  background-color: var(--primary-blue-color-text);
}

.timeline-item:nth-child(odd) .timeline-dot {
  top: 10.9375rem;
  transform: translateX(-8.125rem);
}

.timeline-item:nth-child(even) .timeline-dot {
  bottom: 10.9375rem;
  transform: translateX(-8.125rem);
}

.timeline-item:nth-child(odd)::after {
  left: -10%;
  top: 12.5rem;
  height: 5%;
  transform: none;
}

.timeline-item:nth-child(even)::after {
  left: -10%;
  bottom: 12.5rem;
  height: 5%;
  top: auto;
  transform: none;
}

.timeline-item:nth-child(odd) .timeline-content {
  bottom: 50%;
}

.timeline-item:nth-child(even) .timeline-content {
  top: 65%;
}

.timeline-content {
  padding: 0.9375rem;
  position: absolute;
  left: 65%;
  transform: translateX(-50%);
  width: 23.4375rem;
  top: -20%;
}

.timeline-content h4 {
  font-family: var(--font-formal);
  font-size: var(--font-size-timeline-titulo-desktop);
  color: var(--primary-blue-color-text);
  text-align: justify;
  font-weight: 600;
}

.timeline-content p {
  font-family: var(--font-formal);
  font-size: var(--font-size-timeline-texto-desktop);
  color: var(--primary-black-color-text);
  margin: 0;
  line-height: 1.5;
  text-align: justify;
}

/* Clientes */

.clientes-section h2 {
  font-family: var(--font-principal);
  font-size: var(--font-size-seccion-desktop);
  color: var(--primary-blue-color-text);
}

.clientes-section img {
  width: 100%;
}

.ineldat-banner-images-mobile {
  display: none;
}

/* Mobile Tablets */

@media (max-width: 1199px) {
  /* Hero Banner */

  .ineldat-banner > .image-main,
  .ineldat-banner > .image-small-bottom {
    display: none !important;
  }

  .ineldat-banner-images-mobile {
    display: block;
    position: relative;
    height: 12.5rem;
  }

  .ineldat-wrapper {
    overflow: hidden;
    position: relative;
  }

  .ineldat-banner {
    margin-right: 0;
    margin-top: 0;
    min-height: auto;
    height: 43.75rem;
    position: relative;
    align-items: flex-start;
  }

  .ineldat-banner h1 {
    font-size: var(--font-size-banner-tablet);
    text-align: justify;
    padding-left: 5.5rem;
    padding-top: 2.5rem;
  }

  .ineldat-banner::before {
    clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
    margin-right: 0;
  }

  .ineldat-banner-svg-decoration {
    width: 80%;
    height: auto;
    opacity: 0.3;
    transform: translateY(-50%) translateX(50%);
  }

  .ineldat-banner .col-lg-6 {
    flex: 0 0 100%;
    max-width: 80%;
    margin: 0;
  }

  .image-main-mobile {
    position: absolute;
    left: 35%;
    top: -21.875rem;
    transform: translateX(-55%);
    width: 31.25rem;
    height: 31.25rem;
  }

  .image-main-mobile img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  .image-small-bottom-mobile {
    position: absolute;
    left: 50%;
    top: -9.375rem;
    width: 25rem;
    height: 21.875rem;
  }

  .image-small-bottom-mobile img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  .logo-badge {
    display: none;
  }

  /* Info Section */

  .info-image {
    display: none;
  }

  .info-section .col-lg-5,
  .info-section .col-lg-7 {
    flex: 0 0 100%;
    max-width: 100%;
  }

  .info-section {
    padding-top: 5%;
  }

  .info-text {
    padding: 0 2.5rem;
  }

  .info-text p {
    font-size: var(--font-size-texto-tablet);
    margin-left: 0;
    text-align: justify;
  }

  .info-text .first-paragraph {
    font-size: var(--font-size-titulo-tablet);
  }

  /* Servicios */

  .services-section h2 {
    font-size: var(--font-size-seccion-tablet);
  }
  .services-section .col-md-4 {
    flex: 0 0 100%;
    max-width: 100%;
    margin-bottom: 3.75rem;
    justify-content: center;
  }

  .service-description {
    font-size: var(--font-size-texto-tablet);
  }

  .btn-more-info {
    padding: 0.9375rem 2.5rem;
    font-size: var(--font-size-button-tablet);
  }

  .service-icon {
    height: 12.5rem;
  }

  .service-box {
    height: 100%;
    width: 80%;
  }

  /* Timeline */

  .about-section {
    height: auto;
    padding: 3.75rem 0;
  }

  .about-section h2 {
    font-size: var(--font-size-seccion-tablet);
  }

  .timeline-horizontal {
    display: block;
    padding: 2.5rem 1.25rem;
    min-height: auto;
    margin: 2.5rem auto;
    position: relative;
  }

  .timeline-line {
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    right: auto;
    bottom: 0;
    width: 0.25rem;
    height: 100%;
  }

  .timeline-arrow {
    position: absolute;
    top: auto;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%) rotate(90deg);
    right: auto;
  }

  .timeline-item {
    display: block;
    width: 100%;
    height: auto;
    margin-bottom: 5rem;
    position: relative;
    padding: 0;
    min-height: 6.25rem;
  }

  .timeline-item::after {
    content: "";
    position: absolute;
    top: 1.125rem;
    display: block;
    left: auto;
    right: auto;
    bottom: auto;
  }

  .timeline-item:nth-child(odd)::after,
  .timeline-item:nth-child(even)::after {
    left: auto;
    right: auto;
    top: 1.125rem;
    bottom: auto;
    width: 2.5rem;
    height: 0.2rem;
  }

  .timeline-item:nth-child(odd)::after {
    right: 50%;
  }

  .timeline-item:nth-child(odd) .timeline-dot {
    position: absolute;
    right: 53.5%;
    top: 0.625rem;
    left: auto;
    transform: none;
  }

  .timeline-item:nth-child(odd) .timeline-content {
    position: static;
    transform: none;
    width: 47.5%;
    padding-right: 1.25rem;
    margin-left: 0;
    float: left;
    clear: left;
  }

  .timeline-item:nth-child(even) .timeline-dot {
    position: absolute;
    left: 53.5%;
    top: 0.625rem;
    right: auto;
    transform: none;
  }

  .timeline-item:nth-child(even) .timeline-content {
    position: static;
    transform: none;
    width: 47.5%;
    padding-left: 1.25rem;
    margin-left: 57.5%;
  }

  .timeline-item:nth-child(even)::after {
    left: 50%;
  }

  .timeline-content h4 {
    font-size: var(--font-size-timeline-titulo-tablet);
  }

  .timeline-content p {
    font-size: var(--font-size-timeline-texto-tablet);
  }

  /* Clientes */

  .clientes-section h2 {
    font-size: var(--font-size-seccion-tablet);
  }
}

/* Mobile Tablets medianas */

@media (max-width: 991px) {
  .ineldat-banner {
    height: 30rem;
  }

  .ineldat-banner h1 {
    font-size: var(--font-size-banner-split);
  }

  .image-main-mobile {
    left: 35%;
    top: -15.5rem;
    transform: translateX(-50%) translateY(5%);
    width: 25rem;
    height: 25rem;
  }

  .image-small-bottom-mobile {
    left: 65%;
    top: -4.5rem;
    transform: translateX(-30%) translateY(15%);
    width: 20rem;
    height: 18rem;
  }
}

/* Mobile telefonos */

@media (max-width: 767px) {
  /* Ineldat Banner */
  .ineldat-banner {
    height: 17.5rem;
  }

  .ineldat-banner h1 {
    font-size: var(--font-size-banner-cellphone);
    padding-left: 2rem;
    padding-top: 3.125rem;
  }

  .image-main-mobile {
    left: 35%;
    top: -8.5rem;
    transform: translateX(-50%) translateY(5%);
    width: 12rem;
    height: 12rem;
  }

  .image-small-bottom-mobile {
    left: 60%;
    top: -3.5rem;
    transform: translateX(-30%) translateY(15%);
    width: 10rem;
    height: 8.5rem;
  }

  .ineldat-banner-images-mobile {
    margin-bottom: 0%;
    padding-bottom: 0%;
    height: 5rem;
  }

  .ineldat-banner-svg-decoration {
    width: 80%;
    height: auto;
    opacity: 0.3;
    transform: translateY(-50%) translateX(50%);
  }

  /* Info */

  .info-text p {
    font-size: var(--font-size-texto-cellphone);
    margin-left: 0;
  }

  .info-text .first-paragraph {
    font-size: var(--font-size-titulo-cellphone);
  }

  .info-section {
    padding-bottom: 5%;
  }

  /* Servicios Ineldat */

  .services-section h2 {
    padding-bottom: 5%;
    font-size: var(--font-size-seccion-cellphone);
  }

  .service-description {
    font-size: var(--font-size-texto-cellphone);
  }

  .btn-more-info {
    padding: 0.5rem 1.25rem;
    font-size: var(--font-size-button-cellphone);
  }

  .service-icon {
    height: 9.375rem;
  }

  /* Time line  */

  .about-section {
    height: auto;
    padding: 3.75rem 0;
  }

  .about-section h2 {
    font-size: var(--font-size-seccion-cellphone);
  }

  .timeline-arrow {
    transform: translateX(-50%) translateY(20%) rotate(90deg);
  }

  .timeline-content {
    padding: 0.5rem;
  }

  .timeline-content h4 {
    font-size: var(--font-size-timeline-titulo-cellphone);
    margin-right: 15%;
  }

  .timeline-content p {
    font-size: var(--font-size-timeline-texto-cellphone);
  }

  .timeline-line {
    width: 0.15rem;
  }

  .timeline-dot {
    width: 1.25rem;
    height: 1.25rem;
  }

  .timeline-item:nth-child(odd) .timeline-dot {
    right: 55%;
  }

  .timeline-item:nth-child(even) .timeline-dot {
    left: 55%;
  }

  .timeline-item:nth-child(odd)::after,
  .timeline-item:nth-child(even)::after {
    width: 2rem;
  }

  /* Clientes */
  .clientes-section h2 {
    font-size: var(--font-size-seccion-cellphone);
  }
}

/* Mobile telefonos pequeños */

@media (max-width: 391px) {
  /* Banner */
  .ineldat-banner h1 {
    font-size: var(--font-size-banner-cellphone-small);
  }
  /* Info */
  .info-text p {
    font-size: var(--font-size-texto-cellphone-small);
  }

  .info-text .first-paragraph {
    font-size: var(--font-size-titulo-cellphone-small);
  }
  /* Servicios */
  .service-description {
    font-size: var(--font-size-texto-cellphone-small);
  }
  .services-section h2 {
    font-size: var(--font-size-seccion-cellphone-small);
  }

  .btn-more-info {
    font-size: var(--font-size-button-cellphone-small);
  }
  /* Timeline  */
  .about-section h2 {
    font-size: var(--font-size-seccion-cellphone-small);
  }

  .timeline-content h4 {
    font-size: var(--font-size-timeline-titulo-cellphone-small);
  }

  .timeline-content p {
    font-size: var(--font-size-timeline-texto-cellphone-small);
  }

  .clientes-section h2 {
    font-size: var(--font-size-seccion-cellphone-small);
  }
}

@media (max-width: 345px) {
  /* Banner */
  .ineldat-banner h1 {
    font-size: var(--font-size-banner-cellphone-narrow);
  }
}
